package cn.com.qmth.examcloud.service.core.repo;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.core.entity.Course;

public interface CourseRepo extends JpaRepository<Course, Long>,QueryByExampleExecutor<Course> {

    Course findByOrgIdAndCode(Long orgId,String code);

	List<Course> findByOrgId(Long orgId);

	List<Course> findByOrgIdAndEnable(Long orgId, Boolean enable);

}
